=== debian/changelog ===
libfann (2.1.0~beta~dfsg-8ubuntu1) raring; urgency=low

  * Add simple autopkgtest to package. 

 -- Vibhav Pant <vibhav@ubuntu.com>  Fri, 01 Mar 2013 11:53:17 +0100

libfann (2.1.0~beta~dfsg-8) unstable; urgency=low

  * debian/control:
    - Build-Depend on swig (>= 2.0.4-2) instead of swig2.0; the former has now
      taken over the /usr/bin/swig symlink. Closes: #634430

 -- Christian Kastner <debian@kvr.at>  Thu, 11 Aug 2011 00:46:29 +0200

libfann (2.1.0~beta~dfsg-7) unstable; urgency=low

  * debian/rules:
    - Convert debian/rules to regular syntax. By providing custom build-arch
      and build-indep targets, we can avoid a FTBFS. Closes: #630100
    - Honor compiler flags provided by dpkg-buildflags

 -- Christian Kastner <debian@kvr.at>  Sat, 11 Jun 2011 03:29:01 +0200

libfann (2.1.0~beta~dfsg-6) unstable; urgency=low

  * debian/rules
    debian/libfann-doc
    debian/libfann-dev
    debian/README-libfann2-examples
    debian/README-python-examples-data
    debian/example-paths.sed
    debian/Makefile.examples:
    - Moved the examples and related data to the from the libfann-dev and
      python-pyfann to the libfann-doc package. lintian was rightfully
      complaining about them being in arch: any package.
  * debian/control:
    - Now that the examples have moved, it is sufficient for libfann-dev to
      only Suggest libfann-doc
    - libfann-doc now Recommends libfann-dev, python-pyfann (so the examples
      can be used)
    - python-pyfann Suggests libfann-doc
    - Updated package descriptions
  *  debian/example-paths.sed:
    - Simplified, by using extended regular expressions
  * debian/patches added:
    - 0006-Include-fann_cpp.h-in-dev-package.patch
      This was deliberately omitted in the past due to some ambiguity regarding
      its support status. Upstream homepage says it's OK though, so we'll just
      include it. Closes: #629827

 -- Christian Kastner <debian@kvr.at>  Fri, 10 Jun 2011 02:58:53 +0200

libfann (2.1.0~beta~dfsg-5) unstable; urgency=low

  [ Christian Kastner ]
  * debian/control:
    - Build-Depend on swig2.0 (>= 2.0.3), the earliest swig2.0 version
      providing /usr/bin/swig

  [ Yaroslav Halchenko ]
  * debian/control:
    - Added DM-Upload-Allowed

 -- Christian Kastner <debian@kvr.at>  Wed, 01 Jun 2011 01:13:31 +0200

libfann (2.1.0~beta~dfsg-4) unstable; urgency=low

  * debian/control:
    - Build-Depend on swig2.0 instead of swig; fixes FTBFS with gcc-4.6.
      Closes: #625123, LP: #770839

 -- Christian Kastner <debian@kvr.at>  Mon, 09 May 2011 00:38:53 +0200

libfann (2.1.0~beta~dfsg-3) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.2 (changes required)
    - Updated Homepage (new location)
  * debian/rules:
    - In libtool *.la files, set dependency_libs to null string as required by
      Policy section 10.2. Closes: #621572
  * debian/copyright:
    - Updated DEP5 format to r173
    - Updated DEP5 keyword for BSD-3-clause license
   * debian/watch:
    - uversionmangle release qualifier (here: beta) instead of dversionmangle
  * debian/patches added:
    - 0005-Correct-a-typo-in-a-size-comparison
      Fixes a typo in the python wrapper. LP: #712290

 -- Christian Kastner <debian@kvr.at>  Sat, 02 Apr 2011 20:06:47 +0200

libfann (2.1.0~beta~dfsg-2) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.0 (no changes needed)
    - Description fixes
    - Added libfann-dbg and python-pyfann-dbg packages
    - Changed Section of source package to libs
  * debian/libfann-dev.dirs:
    - Removed because redundant to dh_install
  * debian/rules:
    - Don't handle nostrip, dh_strip handles it for us
    - Build libfann-dbg and python-pyfann-dbg with the help of dh_strip
  * debian/libfann2.symbols:
    - Initial creation
  * debian/copyright:
    - Convert to DEP5 format
    - Relicense patches to BSD
  * debian/patches:
    - Added 0004-Portable-handling-for-va_list
      Makes the use of va_list portable, fixing a FTBFS on alpha/armel/sh4.
      Closes: #588887
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Christian Kastner <debian@kvr.at>  Wed, 14 Jul 2010 22:12:27 +0200

libfann (2.1.0~beta~dfsg-1) unstable; urgency=low

  * New Maintainer. Closes: #583645
  * New upstream version 2.1.0beta
    - Closes: #366146
    - Repackaged upstream version to remove non-DFSG-compliant files
  * debian/compat:
    - Bumped debhelper compatibility to 7
  * debian/control:
    - Renamed source package from libfann2 to libfann
    - Updated package descriptions
    - Updated to Standards-Version 3.8.4
    - Build-Depend on debhelper (> 7.0.50~) and add ${misc:Depends}
    - Added Build-Depends on python-all-dev and python-support for the python
      extension
    - Added new package libfann-doc for the API HTML documentation, and make
      other package Recommend or Suggest it
    - Added Build-Depends on naturaldocs for API HTML documentation
    - Removed Build-Depends on docbook-utils (no longer supported by upstream)
    - Added Build-Depends on autotools-dev to update config.{sub,guess}
    - Added proper Conflicts: and Replaces: for older versions
    - Added Homepage field
    - Added VCS-* fields
  * debian/source/format:
    - Convert to format 3.0 (quilt)
  * debian/rules:
    - Convert to dh syntax
    - Build python extensions for all available python versions
    - Generate API HTML documentation using naturaldocs
    - Update config.{sub,guess} during build
  * debian/copyright:
    - Updated
  * debian/watch:
    - Created watch file
  * libfann2-py:
    - Rename package to Python Policy-conform python-pyfann
    - Removed debhelper helper files no longer needed because of python-support
    - Modify example paths and include instructions on how to run them
  * libfann-doc:
    - New package
    - Add doc-base entry for documentation. Closes: #297951
  * libfann2-dev:
    - Renamed to libfann-dev

