=== debian/control ===
Source: libfann
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Kastner <debian@kvr.at>
DM-Upload-Allowed: yes
Build-Depends:
    debhelper (>= 7.0.50~),
    autotools-dev,
    python-all-dev,
    python-support (>= 0.90),
    swig (>= 2.0.4-2),
    naturaldocs
XS-Testsuite: autopkgtest
Standards-Version: 3.9.2
Homepage: http://leenissen.dk/fann/wp/
Vcs-Git: git://scm.kvr.at/git/pkg-libfann.git
Vcs-Browser: http://scm.kvr.at/git/?p=pkg-libfann.git;a=summary

Package: libfann2
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Suggests:
    libfann-dev (= ${binary:Version}),
    libfann-doc (= ${binary:Version})
Conflicts:
    libfann1
Replaces:
    libfann1
Description: Fast Artificial Neural Network Library
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast. A Python binding is available, and bindings for
 PHP, C++, .NET, Delphi, Octave, Ruby, Pure Data and Mathematica
 can be downloaded from FANN's homepage.
 .
 This package contains the shared libraries.

Package: libfann-dev
Section: libdevel
Architecture: any
Depends:
    ${misc:Depends},
    libfann2 (= ${binary:Version})
Suggests:
    libfann-doc (= ${binary:Version})
Conflicts:
    libfann1-dev
Replaces:
    libfann1-dev
Description: Development libraries and header files for FANN
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast. A Python binding is available, and bindings for
 PHP, C++, .NET, Delphi, Octave, Ruby, Pure Data and Mathematica
 can be downloaded from FANN's homepage.
 .
 This package contains the header files and static libraries which are
 needed for developing libfann applications.

Package: libfann-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
    ${misc:Depends},
    libfann2 (= ${binary:Version})
Description: Debugging symbols for FANN
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast. A Python binding is available, and bindings for
 PHP, C++, .NET, Delphi, Octave, Ruby, Pure Data and Mathematica
 can be downloaded from FANN's homepage.
 .
 This package contains the debugging symbols for the libfann library.

Package: python-pyfann
Section: python
Architecture: any
Depends:
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends},
    libfann2 (= ${binary:Version})
Suggests:
    libfann-dev (= ${binary:Version}),
    libfann-doc (= ${binary:Version})
Description: Python bindings for FANN
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast. A Python binding is available, and bindings for
 PHP, C++, .NET, Delphi, Octave, Ruby, Pure Data and Mathematica
 can be downloaded from FANN's homepage.
 .
 This package contains the Python wrapper for FANN.

Package: python-pyfann-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
    ${misc:Depends},
    python-pyfann (= ${binary:Version})
Description: Debugging symbols for FANN Python wrapper
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast. A Python binding is available, and bindings for
 PHP, C++, .NET, Delphi, Octave, Ruby, Pure Data and Mathematica
 can be downloaded from FANN's homepage.
 .
 This package contains the debugging symbols for the FANN Python wrapper.

Package: libfann-doc
Section: doc
Architecture: all
Depends:
    ${misc:Depends}
Recommends:
    libfann-dev (= ${binary:Version}),
    python-pyfann (= ${binary:Version})
Description: API documentation for FANN
 Fast Artificial Neural Network Library is a free open
 source neural network library, which implements multilayer artificial
 neural networks in C with support for both fully connected and
 sparsely connected networks. Cross-platform execution in both fixed
 and floating point are supported. It includes a framework for easy
 handling of training data sets. It is easy to use, versatile, well
 documented, and fast. A Python binding is available, and bindings for
 PHP, C++, .NET, Delphi, Octave, Ruby, Pure Data and Mathematica
 can be downloaded from FANN's homepage.
 .
 This package contains the API documentation in HTML form and some
 introductory material in text form. It also contains examples for
 the library and the Python wrapper.
