=== debian/tests/control ===
Tests: build
Depends: libfann-dev, build-essential
