## libfann 2.1.0~beta+dfsg

=== debian/changelog ===
libfann (2.1.0~beta+dfsg-1) unstable; urgency=medium

  * Use +dfsg modifier in version instead of the semantically incorrect ~dfsg.
    This is just a rename, there were no actual changes to the upstream source
  * Migrate git repo to Debian-Science at git.debian.org
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Update Vcs-* URLs to point to new location
  * debian/rules:
    - Add override for dh_install and use --fail-missing
    - Drop the custom code for running Python tests and use Pybuild for that
      stage, too
  * debian/tests:
    - python-build
      + Allow selection of Python interpreter to use

 -- Christian Kastner <debian@kvr.at>  Fri, 19 Sep 2014 16:17:53 +0200

libfann (2.1.0~beta~dfsg-10) unstable; urgency=low

  * debian/control:
    - Add Build-Depends for dh-autoreconf
    - Drop Build-Depends for autotools-dev
  * debian/rules:
    - Switch from autotools-dev to dh-autoreconf. Closes: #744606
    - Call dh_auto_build for python-pyfann twice, because distutils runs
      build_py before build_ext, but build_py relies on output from build_ext
      (from SWIG), and this order cannot be changed. This is a known issue, see
      http://bugs.python.org/issue7562
    - Run "build" autopkgtest after build
    - Run "python-build" autopkgtest after build, for all supported Python
      versions
    - Fix setting of DEB_CFLAGS_MAINT_APPEND
  * debian/tests:
    - build
      + Rewrite to make use of $ADTTMP
    - python-build
      + Create (runs one of the example scripts)
  * debian/copyright:
    - Updates for my changes to debian/test/*
  * debian/patches (refreshed):
    - 0002-Link-against-libm
      Properly extend autotools setup for libm instead of using a dirty hack
    - 0006-Include-fann_cpp.h-in-dev-package
      Don't pointlessly modify Makefile.in

 -- Christian Kastner <debian@kvr.at>  Thu, 24 Apr 2014 00:51:29 +0200

libfann (2.1.0~beta~dfsg-9) unstable; urgency=low

  * debian/rules:
    - Convert to dh syntax
    - Convert Python build helper from deprecated python-support to dh_python2
    - In addition to the default "makefile" build system, use the "pybuild"
      build system for building the Python extension. This way we no longer
      have to iterate over the supported Python versions.
    - Fix FTBFS by cleaning SWIG-generated file. Closes: #643187
    - Use DEB_CFLAGS_MAINT_APPEND instead of CFLAGS
  * debian/control:
    - Bump Standards-Version to 3.9.5 (no changes needed)
    - Bump debhelper Build-Depends to (>= 9)
    - Add Multi-Arch: same to libfann2, libfann-dev, libfann-dbg
    - Add Build-Depends for dh-python
    - Add X-Python-Version with >= 2.6, thereby implicitly dropping support for
      Python 2.5 (it used to be supported in the now removed debian/pyversions).
    - Add XS-Testsuite for autopkgtest
    - Drop Build-Depends for python-support
    - Move naturaldocs to Build-Depends-Indep
    - Remove obsolete DM-Upload-Allowed field
  * debian/compat:
    - Bump debhelper compatibility level to 9
  * debian/libfann-dev.install
    debian/libfann2.install:
    - Change paths from usr/lib/ to usr/lib/*/ (for mutli-arch triplets)
  * debian/copyright:
    - Update to machine-readable format v1.0
    - Update Source: link
    - Add comment to debian/copyright explaining how DFSG-cleaning was
      performed
  * debian/test/*
    - Add autpkgtest for successful build & run against libfann. Taken from
      Ubuntu. Thanks, Vibhav Pant. Closes: #702423
  * debian/patches (added):
    - 0007-Do-not-call-swig-unconditionally
      The SWIG interface was being built on every invocation of setup.py,
      even during a mere install
  * debian/source/lintian-overrides:
    - Added override for debian-watch-may-check-gpg-signature
  * debian/watch:
    - Don't try to pattern-match beta, just match beta
    - Upstream release filename has changed
  * debian/gbp.conf
    - Created (package is based on dfsg branch, not upstream)

 -- Christian Kastner <debian@kvr.at>  Fri, 28 Mar 2014 21:33:42 +0100
