=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: libfann
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Kastner <debian@kvr.at>
-DM-Upload-Allowed: yes
+Maintainer: Christian Kastner <debian@kvr.at>
 Build-Depends:
-    debhelper (>= 7.0.50~),
-    autotools-dev,
+    debhelper (>= 9),
+    dh-autoreconf,
     python-all-dev,
-    python-support (>= 0.90),
-    swig (>= 2.0.4-2),
+    dh-python,
+    swig (>= 2.0.4-2)
+Build-Depends-Indep:
     naturaldocs
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.2
 Homepage: http://leenissen.dk/fann/wp/
-Vcs-Git: git://scm.kvr.at/git/pkg-libfann.git
-Vcs-Browser: http://scm.kvr.at/git/?p=pkg-libfann.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/libfann.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libfann.git
 
 Package: libfann2
 Architecture: any
+Multi-Arch: same
+Pre-Depends:
+    ${misc:Pre-Depends}
 Depends:
     ${shlibs:Depends},
     ${misc:Depends}
@@ -45,6 +48,7 @@
 Package: libfann-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
     ${misc:Depends},
     libfann2 (= ${binary:Version})
@@ -72,6 +76,7 @@
 Priority: extra
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends:
     ${misc:Depends},
     libfann2 (= ${binary:Version})
