=== debian/tests/control ===
Tests: build
Depends: libfann-dev, build-essential

Tests: python-build
Depends: python-pyfann
