=== debian/watch ===
version=3

opts=\
uversionmangle=s/([.0-9]+)beta/$1~beta/,\
dversionmangle=s/~dfsg// \
http://sf.net/fann/FANN-(\d.*)-Source.tar.gz
